Cómo deshacerse de todos los .serverauth. $$ en el directorio de inicio en OS X? -- macos campo con ssh campo con xserve camp apple Relacionados El problema

How to get rid of all the .serverauth.$$ in the HOME directory on OS X?


2
vote

problema

Español

¿Cómo prevenir a obtener un montón de archivos .serverauth.$$ en el directorio de inicio en OS X 10.8?

($$ es un número PID).

Original en ingles

How to prevent gettin lots of .serverauth.$$ files in the HOME directory on OS X 10.8?

($$ is a pid number).

        

Lista de respuestas

3
 
vote
vote
La mejor respuesta
 

Puede evitar que estos se acumulen si siempre sale del servidor X11 con gracia. Eso significa desconectarse con gracia y cerrándose con gracia. Sin embargo, sin embargo, siempre puede hacerlo, así que todo lo que pueda hacer es eliminarlos de vez en cuando. Puede escribir un script para encontrar y eliminar los que no están en uso y ejecutarlo manualmente o programarlo para funcionar de forma rutinaria a través de Cron. A continuación se muestra un ejemplo de script:

  #!/bin/bash cd || {   echo "Unable to cd to home." >&2   exit 1 } Candidates=$(echo .serverauth.*) if [ -z "$Candidates" ];then   exit fi for Candidate in $Candidates ; do   PID=${Candidate#.serverauth.}   kill -0 $Candidate 2>&-   if [ $? != 0 ];then # The PID is not currently active     printf "Removing orphaned xserverauth file "$Candidate". ";     rm $Candidate || {       printf "Failed to remove file "$Candidate". " >&2.     }   fi done   
 

You can prevent these from accumulating if you always exit the X11 server gracefully. That means logging out gracefully and shutting down gracefully. No way you can always do that though, so about all you can do is delete these every now and then. You could write a script to find and remove the ones not in use and run it manually or schedule it to run routinely via cron. Below is an example script:

#!/bin/bash cd || {   echo "Unable to cd to home." >&2   exit 1 } Candidates=$(echo .serverauth.*) if [ -z "$Candidates" ];then   exit fi for Candidate in $Candidates ; do   PID=${Candidate#.serverauth.}   kill -0 $Candidate 2>&-   if [ $? != 0 ];then # The PID is not currently active     printf "Removing orphaned xserverauth file \"$Candidate\".\n";     rm $Candidate || {       printf "Failed to remove file \"$Candidate\".\n" >&2.     }   fi done 
 
 
0
 
vote

en terminal:

  ABCDEFGHIJKLMNABCDEFGHIJKLMN5   

o, si desea eliminar de cada casa dir:

  sudo rm /Users/*/.serverauth.*   
 

In Terminal:

rm .serverauth.* 

Or, if you want to remove from every home dir:

sudo rm /Users/*/.serverauth.* 
 
 
 
 

Relacionados problema

1  Algunas teclas de teclado no están trabajando en Iniciar sesión en Yosemite  ( Some keyboard keys are not working on login to yosemite ) 
El problema es que cada vez que inicio mi MacBook Pro 15 "a principios de 2011, algunas de las teclas del teclado (nativas) deje de funcionar. Sin embargo, si...

6  "Texto Ghost" en Terminal, Yosemite + TotalTerminal (Anteriormente Visor)  ( Ghost text in terminal yosemite totalterminal formerly visor ) 
Hay "texto fantasma" en mi terminal (vea la captura de pantalla), y espero que alguien sepan cómo arreglar esto ... < / p> Transmisión de fondo de fondo d...

1  MacBook Air (comprado en agosto de 2014) [Duplicar]  ( Macbook air bought in august 2014 ) 
Esta pregunta ya tiene respuestas aquí : ¿Dónde está el archivo de sonido de retroalimentación de ca...

2  Agregue la opción Cortar archivo / carpeta para hacer clic derecho o al menú contextual  ( Add cut file folder option to right click or context menu ) 
Yo uso Lion en mi MacBook Pro 13 ". Me gustaría agregar un elemento de menú contextual llamado" Mover "o" Cortar "(solo como copia) y cuando voy a la ubicació...

17  Creando una carpeta comprimida HFS + automatizada  ( Creating an automated hfs compressed folder ) 
Me gustaría configurar una forma automatizada para archivar archivos en OS X Lion. Al archivar, me refiero a usar la función de compresión HFS + en una carpet...

2  La máquina de tiempo sigue excluyendo mi disco duro  ( Time machine keeps excluding my hard drive ) 
Tengo una máquina de tiempo de instalación en una unidad externa FireWire 800 en mi MacBook Pro. Tengo otra unidad externa USB (NTFS formada con los controlad...

10  ¿Cómo minimizar todas las ventanas / aplicaciones al muelle?  ( How to minimize all windows applications to the dock ) 
⌥ + ⌘ + m Como se mencionó en múltiples documentos solo parece minimizar la ventana actual (enfocada). Estoy buscando el equivalente "Mostrar escritor...

7  ¿Qué procesos se ejecutan mientras mi Mac está dormida?  ( What processes run while my mac is asleep ) 
¿Qué procesos, si corresponde, se ejecutan mientras mi computadora se pone a dormir (no el modo de hibernación)? Por ejemplo, si hay una aplicación que impr...

3  Apertura de una imagen de disco OS X con un agente de lanzamiento mientras la pantalla está durmiendo  ( Opening an os x disk image with a launchd agent while the display is sleeping ) 
He creado un agente abcdefghijklmnabcdefghijklmnabcdefghijklmnabcdefghijklmnbcdefghijklmnbcdefghijklmn0. El archivo launchd Agent's Plist se guardó en ~/L...

7  ¿Qué es /stem/library/coreservices/wifiagent.app?  ( What is system library coreservices wifiagent app ) 
Recientemente, he estado un poco preocupado por el malware, así que he estado examinando mi sistema y buscando aplicaciones / programas fuera de lugar, y este...

4  Restauración de la copia de seguridad de la máquina de tiempo realizada en una versión anterior de OS X  ( Restoring time machine backup made on a previous os x version ) 
Mi MacBook Pro, ejecutar OS X LEON (10.7.5) fue robado anoche. Afortunadamente, no tomaron mi unidad externa, donde tengo una máquina de tiempo de respaldo de...

6  ¿Cómo simplemente enrutar el tráfico de oficinas sobre la VPN al tiempo que tiene una ruta predeterminada para otro tráfico?  ( How to only route office traffic over the vpn while having default route for oth ) 
Tengo una VPN a mi oficina y me gustaría enrutar solo el tráfico de oficinas sobre la VPN mientras mantiene mi ruta predeterminada para otro tráfico. He int...

6  Cómo obtener artículos de lectura de lectura como enlaces  ( How to get reading list items as links ) 
Solo tengo mil millones de artículos en la lista de lectura de Safari y me gustaría los enlaces a todos ellos. ¿Hay alguna manera de obtener todos los artíc...

1  ¿Cómo reinstalar OS X en un IMAC que solo tiene Ubuntu instalado en él?  ( How to reinstall os x on an imac which only has ubuntu installed on it ) 
Tengo un IMAC de 2011 con solo Ubuntu instalado. No es un IMAC de doble arranque, solo tiene instalado Ubuntu. ¿Cómo vuelvo a Volver a OS X original y elimi...

0  Solución de problemas de un MacBook Pro que no está cargando de la alimentación  ( Troubleshooting a macbook pro that is not charging from power ) 
Mi MacBook Pro no está cargando, la luz del cargador no está encendida, y la imagen de la batería indica que no está cargando . La computadora tiene aproxim...




© 2021 respuesta.top Reservados todos los derechos. Centro de preguntas y respuestas reservados todos los derechos